<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatTableClientKycDocTemplate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clnt_kyc_doc_templates', function (Blueprint $table) {
            $table->id();
            $table->string('name', 100)->nullable();
            $table->string('name_title', 10)->nullable();
            $table->string('title', 10)->nullable();
            $table->longText('details')->nullable();
            $table->boolean('status')->default(true);
            $table->string('deleted_by', 10)->nullable();
            $table->softDeletes();
            $table->string('created_by', 10)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('client_kyc_doc_templates');
    }
}
